# Class TCefPostDataElementRef

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPostDataElement

## Declaration

`type TCefPostDataElementRef = class(TCefBaseRefCountedRef, ICefPostDataElement)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedRef
- TCefPostDataElementRef

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `procedure SetToEmpty;`
| `procedure SetToFile(const fileName: ustring);`
| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer);`
| `function GetType: TCefPostDataElementType;`
| `function GetFile: ustring;`
| `function GetBytesCount: NativeUInt;`
| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;`
| `class function UnWrap(data: Pointer): ICefPostDataElement;`
| `class function New: ICefPostDataElement;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
This item has no description. Showing description inherited from ICefPostDataElement.IsReadOnly. Returns true (1) if this object is read-only.

| `procedure SetToEmpty;`
This item has no description. Showing description inherited from ICefPostDataElement.SetToEmpty. Remove all contents from the post data element.

| `procedure SetToFile(const fileName: ustring);`
This item has no description. Showing description inherited from ICefPostDataElement.SetToFile. The post data element will represent a file.

| `procedure SetToBytes(size: NativeUInt; const bytes: Pointer);`
This item has no description. Showing description inherited from ICefPostDataElement.SetToBytes. The post data element will represent bytes. The bytes passed in will be copied.

| `function GetType: TCefPostDataElementType;`
This item has no description. Showing description inherited from ICefPostDataElement.GetType. Return the type of this post data element.

| `function GetFile: ustring;`
This item has no description. Showing description inherited from ICefPostDataElement.GetFile. Return the file name.

| `function GetBytesCount: NativeUInt;`
This item has no description. Showing description inherited from ICefPostDataElement.GetBytesCount. Return the number of bytes.

| `function GetBytes(size: NativeUInt; bytes: Pointer): NativeUInt;`
This item has no description. Showing description inherited from ICefPostDataElement.GetBytes. Read up to |size| bytes into |bytes| and return the number of bytes actually read.

| `class function UnWrap(data: Pointer): ICefPostDataElement;`
This item has no description.

| `class function New: ICefPostDataElement;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.